Bug 10285 - Loosing network connection causes segfault in winbindd
Loosing network connection causes segfault in winbindd
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2013-11-21 15:18 UTC by jan.brummer
Modified: 2013-12-10 15:20 UTC (History)
2 users (show)

See Also:

backport for 4.1 (1.28 KB, patch)
2013-12-10 12:00 UTC, Guenther Deschner
asn: review+

Note You need to log in before you can comment on or make changes to this bug.
Description jan.brummer 2013-11-21 15:18:11 UTC
Due to a bug in the debug output the winbindd daemon crashes as soon as the network connection is dropped. I'm attaching a patch which solves the issue.
Comment 1 Guenther Deschner 2013-12-09 14:36:09 UTC
A fix for this is now building in autobuild.
Comment 2 Guenther Deschner 2013-12-10 12:00:32 UTC
Created attachment 9520 [details]
backport for 4.1
Comment 3 Andreas Schneider 2013-12-10 12:49:53 UTC
Karolin, please add to 4.1. Thanks.
Comment 4 Karolin Seeger 2013-12-10 13:02:54 UTC
Pushed to autobuild-v4-1-test.
Comment 5 Karolin Seeger 2013-12-10 15:20:46 UTC
Pushed to v4-1-test.
Closing out bug report.